import React from 'react';
import type { Text, TextStyle } from 'react-native';
import type { Regex } from './interfaces';
export declare type HighlightedTextProps = React.ComponentProps<typeof Text> & {
    children: string | string[];
    highlightedTextStyles?: TextStyle[] | {
        [key: string]: TextStyle;
    };
    characters?: Characters;
};
export declare type FormatText = (props: HighlightedTextProps, regex: Regex) => JSX.Element;
export declare type Characters = 'square-brackets' | 'curly-brackets' | 'tags' | 'parenthesis';
export declare type GenerateRegex = (characters: Characters) => Regex;
